#pragma once

#include "CoreMinimal.h"
#include "Templates/SubclassOf.h"
#include "StatusEffectApplier.generated.h"

class UStatusEffect;

USTRUCT(BlueprintType)
struct FStatusEffectApplier
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<TSubclassOf<UStatusEffect>> _statusEffectClasses;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _lifetime;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _customParam;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _shouldDisplay;

public:
	THEK30_API FStatusEffectApplier();
};

FORCEINLINE uint32 GetTypeHash(const FStatusEffectApplier) { return 0; }
